group "Dividends.model"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | 3 elements
Defined: | globally in fpml-eq-shared-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations

Content Model Diagram

Complex Content Model
optionsExchangeDividends?, additionalDividends?, allDividends?

Content Model Elements (3):

  additionalDividends, allDividends, optionsExchangeDividends

Known Usage Locations

- In definitions of global complexTypes (2):
  CalculatedAmount, ReturnSwapAmount

Annotation
A group containing Dividend content
XML Source (w/o annotations (4); see within schema source)

<xsd:group name="Dividends.model"> <xsd:sequence> <xsd:element minOccurs="0" name="optionsExchangeDividends" type="xsd:boolean"/> <xsd:element minOccurs="0" name="additionalDividends" type="xsd:boolean"/> <xsd:element minOccurs="0" name="allDividends" type="xsd:boolean"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 3/3)
additionalDividends

  Type: | xsd:boolean, predefined, simple content

  If present and true, then additional dividends are applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="additionalDividends" type="xsd:boolean"/>

allDividends

  Type: | xsd:boolean, predefined, simple content

  Represents the European Master Confirmation value of 'All Dividends' which, when applicable, signifies that, for a given Ex-Date, the daily observed Share Price for that day is adjusted (reduced) by the cash dividend and/or the cash value of any non cash dividend per Share (including Extraordinary Dividends) declared by the Issuer.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="allDividends" type="xsd:boolean"/>

optionsExchangeDividends

  Type: | xsd:boolean, predefined, simple content

  If present and true, then options exchange dividends are applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="optionsExchangeDividends" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.